"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.debugMessageRx = exports.debugKeyRx = exports.debugrx = void 0;
var operators_1 = require("rxjs/operators");
var logger_no_dep_1 = __importDefault(require("../logger.no.dep"));
var debugrx = function (message) { return function (source) {
    return source.pipe(operators_1.tap(function (val) {
        logger_no_dep_1.default().info(message + ': ', val);
    }));
}; };
exports.debugrx = debugrx;
var debugKeyRx = function (message, key) { return function (source) {
    return source.pipe(operators_1.tap(function (val) {
        logger_no_dep_1.default().info(message + ': ', (val !== null && val !== void 0 ? val : {})["" + key]);
    }));
}; };
exports.debugKeyRx = debugKeyRx;
var debugMessageRx = function (message) { return function (source) {
    return source.pipe(operators_1.tap(function (val) {
        logger_no_dep_1.default().info(message + ': ', !!val);
    }));
}; };
exports.debugMessageRx = debugMessageRx;
